## org.eclipse.datatools.connectivity.drivers.models
Class TemplateDescriptor

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.models.TemplateDescriptor

All Implemented Interfaces:
  java.lang.Comparable

    public class TemplateDescriptor

extends java.lang.Object
implements java.lang.Comparable

Represents a driver template which is provided by the "org.eclipse.datatools.connectivity.driverExtension" extension point.

Author:
  brianf

Field Summary
`static java.lang.String` `PLUGIN_LOC`
`static java.lang.String` `TEMPLATE_TAG`

Method Summary
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object obj)`
`boolean` `getCreateDefaultFlag()` Returns the 'create default' flag value.
`java.lang.String` `getDefaultDefinitionName()` Returns the default definition name.
`java.lang.String` `getDescription()` Returns the description.
`static TemplateDescriptor` `getDriverTemplateDescriptor(java.lang.String id)` Returns the driver template with the given id.
`static TemplateDescriptor[]` `getDriverTemplateDescriptors()` Returns all contributed driver templates.
`org.eclipse.core.runtime.IConfigurationElement` `getElement()` Returns the configuration element.
`boolean` `getEmptyJarListIsOKFlag()` Returns the 'create default' flag value.
`java.lang.String` `getId()` Returns the template id.
`java.lang.String` `getJarList()` Returns the file list
`java.lang.String` `getName()` Returns the template name.
`CategoryDescriptor` `getParent()` Returns the parent category of the template
`java.lang.String` `getParentCategory()` Returns the parent category id.
`org.eclipse.core.runtime.IConfigurationElement[]` `getProperties()` Returns the list of configuration elements for the template properties.
`java.lang.String` `getPropertyIDFromName(java.lang.String propName)`
`java.lang.String` `getPropertyValue(java.lang.String propName)`
`java.lang.String` `getPropertyValueFromId(java.lang.String propId)`
`boolean` `getRemoveFlag()`
`IDriverValuesProvider` `getValuesProviderClass()` Returns the values provider class
`int` `hashCode()`
`boolean` `hasVisibleProperties()` Determine if the template has visible properties

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE_TAG

    public static final java.lang.String TEMPLATE_TAG

See Also:
  Constant Field Values

### PLUGIN_LOC

    public static final java.lang.String PLUGIN_LOC

See Also:
  Constant Field Values

Method Detail

### getDriverTemplateDescriptors

    public static TemplateDescriptor[] getDriverTemplateDescriptors()

  Returns all contributed driver templates.

### getDriverTemplateDescriptor

    public static TemplateDescriptor getDriverTemplateDescriptor(java.lang.String id)

  Returns the driver template with the given id.

### getParent

    public CategoryDescriptor getParent()

  Returns the parent category of the template

  Returns:
    CategoryDescriptor

### getId

    public java.lang.String getId()

  Returns the template id.

### getValuesProviderClass

    public IDriverValuesProvider getValuesProviderClass()

  Returns the values provider class

### getParentCategory

    public java.lang.String getParentCategory()

  Returns the parent category id.

### getJarList

    public java.lang.String getJarList()

  Returns the file list

### getCreateDefaultFlag

    public boolean getCreateDefaultFlag()

  Returns the 'create default' flag value.

### getEmptyJarListIsOKFlag

    public boolean getEmptyJarListIsOKFlag()

  Returns the 'create default' flag value. Default = false

### getElement

    public org.eclipse.core.runtime.IConfigurationElement getElement()

  Returns the configuration element.

### getName

    public java.lang.String getName()

  Returns the template name.

### getRemoveFlag

    public boolean getRemoveFlag()

### getDefaultDefinitionName

    public java.lang.String getDefaultDefinitionName()

  Returns the default definition name.

### getProperties

    public org.eclipse.core.runtime.IConfigurationElement[] getProperties()

  Returns the list of configuration elements for the template properties.

### getPropertyValue

    public java.lang.String getPropertyValue(java.lang.String propName)

### getPropertyValueFromId

    public java.lang.String getPropertyValueFromId(java.lang.String propId)

### getPropertyIDFromName

    public java.lang.String getPropertyIDFromName(java.lang.String propName)

### getDescription

    public java.lang.String getDescription()

  Returns the description.

  Returns:
    the description or `null` if no description is provided

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### hasVisibleProperties

    public boolean hasVisibleProperties()

  Determine if the template has visible properties

  Returns:

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`